sucsynct doesn't run under Ubuntu 14.04

Bug #1323071 reported by John W. Klemen-Geiger on 2014-05-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
sucsynct
Undecided
Unassigned

Bug Description

when trying to start sucsynct after updating to 14.04 it crashed telling me:

john@john-netbook:/usr/local/bin/sucsynct/includes$ ../sucsynct
/usr/local/bin/sucsynct/includes/../includes/easybashlib: Zeile 224: eb_on_exit_items ist nicht gesetzt.

(translation: Line 224: eb_on_exit_items not set.)

I added a new line
224: set +u

and got the same error with files in line 332, added "set +u" and sucsynct is now running.

It seems, that bash has changed it's default persormance to checking if variables are set before expanding bracket-expressions. My hack does the job for now, but sucsynct will no longer quit!

cgat (cgat-1) wrote :

Hello, thank you for posting this bug and your workaround!

A couple of things seem to have changed in a positive way in more current distribution
releases that affect using the sucsynct script. Though, I don't have the time to update
the bash script, unfortunately. It should be much easier now:

A nice thing is that shipping these easybashgui includes with sucsynct doesn't seem to be
necessary anymore, as https://sites.google.com/site/easybashgui is shipping the functionality
now. And it now also includes yad support, providing a good way out of the
gnome 3 zenity regressions.

To make patches and experimenting as straight forward as possible, I'll add you to the group.

cgat (cgat-1) on 2014-05-26
summary: - sucsynct doesn't run under Uuntu 14.04
+ sucsynct doesn't run under Ubuntu 14.04
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers